import { Logger } from "../common/Logger.js";
import { LevelLogs } from "../common/LevelLogs.js";
declare class GenericRESTService extends LevelLogs {
    protected _token: any;
    protected _decodedtokenRest: any;
    protected _credentials: any;
    protected _application: any;
    protected _auth: any;
    protected _logger: Logger;
    protected _logId: string;
    protected startingInfos: {
        constructorDate: Date;
        startDate: Date;
        startedDate: Date;
        initilizedDate: Date;
        readyDate: Date;
    };
    constructor(_logger: Logger, logId?: string);
    setConstructed(): void;
    set p_token(value: any);
    set p_credentials(value: any);
    set p_application(value: any);
    set p_auth(value: any);
    get token(): any;
    get credentials(): any;
    get application(): any;
    get auth(): any;
    isUserCredentialsLogin(): boolean;
    isAPIKeyCredentialsLogin(): boolean;
    get p_decodedtokenRest(): any;
    set p_decodedtokenRest(value: any);
    getRequestHeader(accept?: string): {
        Accept: string;
        Range: any;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getRequestHeaderLowercaseAccept(accept?: string): {
        accept: string;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getRequestHeaderWithRange(accept?: string, range?: string): {
        Accept: string;
        Range: any;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getPostHeader(contentType?: string): {
        Accept: string;
        Range: any;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getPostHeaderWithRange(accept?: string, initialSize?: string, minRange?: string, maxRange?: string): {
        Accept: string;
        Range: any;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getLoginHeader(auth?: string, password?: string): {
        Accept: string;
        "Content-Type": string;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
    getDefaultHeader(): {
        Accept: string;
        "Content-Type": string;
        "x-rainbow-client": string;
        "x-rainbow-client-version": any;
        "x-rainbow-client-id": any;
        "x-rainbow-correlation-id": string;
    };
}
export { GenericRESTService as GenericRESTService };
